<?php
declare(strict_types=1);

namespace App\Entity\Education;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class SeizurePeriodNotation
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'seizurePeriodNotations')]
    private EducationTeacher $educationTeacher;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getEducationTeacher(): ?EducationTeacher
    {
        return $this->educationTeacher;
    }

    public function setEducationTeacher(?EducationTeacher $educationTeacher): self
    {
        $this->educationTeacher = $educationTeacher;

        return $this;
    }
}